%define upstream_name	 Text-Diff
%define upstream_version 1.45

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perform diffs on files and record sets
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://www.cpan.org/
Source0:    https://cpan.metacpan.org/authors/id/R/RB/RBS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Diff) >= 1.190.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Algorithm::Diff)
BuildArch:  noarch

%{?perl_default_filter}

%description
%name provides a basic set of services akin to the GNU diff utility.
It is not anywhere near as feature complete as GNU diff, but it is 
better integrated with Perl and available on all platforms. 

It is often faster than shelling out to a system's diff
executable for small files, and generally slower on larger files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.450.0-6.mga10
+ Revision: 2204779
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.450.0-5.mga9
+ Revision: 1810458
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.450.0-4.mga8
+ Revision: 1506681
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.450.0-3.mga7
+ Revision: 1286966
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.450.0-2.mga7
+ Revision: 1166953
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.450.0-1.mga7
+ Revision: 1154441
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.440.0-2.mga6
+ Revision: 1034910
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 1.440.0-1.mga6
+ Revision: 989846
- update to 1.44

* Fri Feb 19 2016 umeabot <umeabot> 1.430.0-2.mga6
+ Revision: 969439
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.430.0-1.mga6
+ Revision: 868709
- update to 1.43

* Wed Oct 15 2014 umeabot <umeabot> 1.410.0-6.mga5
+ Revision: 741987
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.410.0-5.mga5
+ Revision: 736093
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.410.0-4.mga5
+ Revision: 686615
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.410.0-3.mga4
+ Revision: 515514
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.410.0-2.mga3
+ Revision: 374018
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 jquelin <jquelin> 1.410.0-1.mga1
+ Revision: 88576
- update to 1.41

* Thu Jan 13 2011 jquelin <jquelin> 1.370.0-1.mga1
+ Revision: 15339
- imported package perl-Text-Diff


* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 1.370.0-1mdv2010.1
+ Revision: 396743
- update to 1.37
- using %%perl_convert_version
- fixed license field

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.35-6mdv2009.0
+ Revision: 224206
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.35-5mdv2008.1
+ Revision: 151359
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.35-4mdv2007.0
+ Revision: 108449
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Text-Diff

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.35-3mdk
- rebuild for new perl

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 0.35-2mdk 
- add BuildRequires

* Tue Mar 09 2004 Michael Scherer <misc@mandrake.org> 0.35-1mdk 
- First MandrakeSoft Package

